<script setup lang="ts">
import HomePosterArea from '@/components/HomePosterArea.vue'
import HomeSlider from '@/components/HomeSlider.vue'
import ProductCarousel from '@/components/ProductCarousel.vue'
import type CarouselItem from '@/models/ProductCarouselItem'
import HomeProductsPreview from '@/components/catalog/HomeProductsPreview.vue'
import NewArrivalsProductList from '@/components/carousel/new-arrivals/NewArrivalsProductList.vue'
import TestimonialList from '@/components/carousel/testimonials/TestimonialList.vue'
import BestsellersList from '@/components/carousel/bestsellers/BestsellersList.vue'

const newArrivals: CarouselItem[] = [
  {
    id: 1,
    image: 'assets/images/product/jewellery/product-1.png',
    title: 'Diamond Locket',
    price: 50,
    oldPrice: 60,
    discount: 0
  },
  {
    id: 2,
    image: 'assets/images/product/jewellery/product-2.png',
    title: 'Diamond Locket',
    price: 50,
    oldPrice: 60,
    discount: 0
  },
  {
    id: 3,
    image: 'assets/images/product/jewellery/product-3.png',
    title: 'Diamond Locket',
    price: 50,
    oldPrice: 60,
    discount: 0
  }
]
</script>

<template>
  <HomeSlider/>
  <HomePosterArea/>

  <ProductCarousel label="This Week’s" title="New Arrivals" :items="newArrivals"/>

  <BestsellersList/>

  <TestimonialList/>

  <HomeProductsPreview/>

 <NewArrivalsProductList/>

</template>
